Index: XIOS/dev/branch_openmp/src/transformation/generic_algorithm_transformation.hpp
===================================================================
--- XIOS/dev/branch_openmp/src/transformation/generic_algorithm_transformation.hpp	(revision 1544)
+++ XIOS/dev/branch_openmp/src/transformation/generic_algorithm_transformation.hpp	(revision 1545)
@@ -38,12 +38,12 @@
 public:
   // Mapping between global index map of DESTINATION and its local index with pair of global index of SOURCE and weights
-  typedef boost::unordered_map<int, boost::unordered_map<size_t, std::vector<std::pair<size_t,double> > > > SourceDestinationIndexMap;
+  typedef std::unordered_map<int, std::unordered_map<size_t, std::vector<std::pair<size_t,double> > > > SourceDestinationIndexMap;
 
 protected:
-  typedef boost::unordered_map<size_t,int> GlobalLocalMap;
+  typedef std::unordered_map<size_t,int> GlobalLocalMap;
 protected:
-  typedef boost::unordered_map<int, std::vector<int> > TransformationIndexMap;
-  typedef boost::unordered_map<int, std::vector<double> > TransformationWeightMap;
-  typedef boost::unordered_map<int, std::vector<int> > TransformationPositionMap;
+  typedef std::unordered_map<int, std::vector<int> > TransformationIndexMap;
+  typedef std::unordered_map<int, std::vector<double> > TransformationWeightMap;
+  typedef std::unordered_map<int, std::vector<int> > TransformationPositionMap;
 
 public:
@@ -108,8 +108,8 @@
   void computeGlobalGridIndexMapping(int elementPositionInGrid,
                                      const std::vector<int>& srcRank,
-                                     boost::unordered_map<int, std::vector<std::pair<int,double> > >& src2DstMap,
+                                     std::unordered_map<int, std::vector<std::pair<int,double> > >& src2DstMap,
                                      CGrid* gridDst,
                                      CGrid* gridSrc,
-                                     std::vector<boost::unordered_map<int,std::vector<size_t> > >& globalElementIndexOnProc,
+                                     std::vector<std::unordered_map<int,std::vector<size_t> > >& globalElementIndexOnProc,
                                      SourceDestinationIndexMap& globaIndexWeightFromSrcToDst);
 
@@ -117,15 +117,15 @@
                                   CDomain* domainSrc,
                                   CArray<size_t,1>& destGlobalIndexPositionInGrid,
-                                  boost::unordered_map<int,std::vector<size_t> >& globalDomainIndexOnProc);
+                                  std::unordered_map<int,std::vector<size_t> >& globalDomainIndexOnProc);
 
   void computeExchangeAxisIndex(CAxis* axisDst,
                                 CAxis* axisSrc,
                                 CArray<size_t,1>& destGlobalIndexPositionInGrid,
-                                boost::unordered_map<int,std::vector<size_t> >& globalAxisIndexOnProc);
+                                std::unordered_map<int,std::vector<size_t> >& globalAxisIndexOnProc);
 
   void computeExchangeScalarIndex(CScalar* scalarDst,
                                   CScalar* scalarSrc,
                                   CArray<size_t,1>& destGlobalIndexPositionInGrid,
-                                  boost::unordered_map<int,std::vector<size_t> >& globalScalarIndexOnProc);
+                                  std::unordered_map<int,std::vector<size_t> >& globalScalarIndexOnProc);
 
   void computePositionElements(CGrid* dst, CGrid* src);
@@ -151,5 +151,5 @@
   std::set<StdSize> indexElementSrc_;
 
-  std::vector<boost::unordered_map<int,std::vector<size_t> > > globalElementIndexOnProc_;
+  std::vector<std::unordered_map<int,std::vector<size_t> > > globalElementIndexOnProc_;
 
   std::vector<int> procContainSrcElementIdx_;  // List of processes containing source index of transformed elements
Index: XIOS/dev/branch_openmp/src/transformation/grid_transformation.cpp
===================================================================
--- XIOS/dev/branch_openmp/src/transformation/grid_transformation.cpp	(revision 1544)
+++ XIOS/dev/branch_openmp/src/transformation/grid_transformation.cpp	(revision 1545)
@@ -15,5 +15,5 @@
 #include "mpi_tag.hpp"
 #include "grid.hpp"
-#include <boost/unordered_map.hpp>
+#include <unordered_map>
 #include "timer.hpp"
 
@@ -479,5 +479,5 @@
   SourceDestinationIndexMap::const_iterator itbIndex = globaIndexWeightFromSrcToDst.begin(),
                                             iteIndex = globaIndexWeightFromSrcToDst.end(), itIndex;
-  typedef boost::unordered_map<size_t, std::vector<std::pair<size_t,double> > > SendIndexMap;
+  typedef std::unordered_map<size_t, std::vector<std::pair<size_t,double> > > SendIndexMap;
   std::map<int,int> sendRankSizeMap,recvRankSizeMap;
   int connectedClient = globaIndexWeightFromSrcToDst.size();
@@ -522,6 +522,6 @@
   std::vector<ep_lib::MPI_Request> requests(recvRankSizeMap.size()*2 + globaIndexWeightFromSrcToDst.size()*2);
   std::vector<ep_lib::MPI_Status> status;
-  boost::unordered_map<int, unsigned char* > recvMaskDst;
-  boost::unordered_map<int, unsigned long* > recvGlobalIndexSrc;
+  std::unordered_map<int, unsigned char* > recvMaskDst;
+  std::unordered_map<int, unsigned long* > recvGlobalIndexSrc;
   int requests_position = 0;
   for (std::map<int,int>::const_iterator itRecv = recvRankSizeMap.begin(); itRecv != recvRankSizeMap.end(); ++itRecv)
@@ -536,8 +536,8 @@
   }
 
-  boost::unordered_map<int, CArray<size_t,1> > globalIndexDst;
-  boost::unordered_map<int, CArray<double,1> > weightDst;
-  boost::unordered_map<int, unsigned char* > sendMaskDst;
-  boost::unordered_map<int, unsigned long* > sendGlobalIndexSrc;
+  std::unordered_map<int, CArray<size_t,1> > globalIndexDst;
+  std::unordered_map<int, CArray<double,1> > weightDst;
+  std::unordered_map<int, unsigned char* > sendMaskDst;
+  std::unordered_map<int, unsigned long* > sendGlobalIndexSrc;
   for (itIndex = itbIndex; itIndex != iteIndex; ++itIndex)
   {
@@ -666,10 +666,10 @@
   delete [] recvSizeBuff;
 
-  boost::unordered_map<int, unsigned char* >::const_iterator itChar;
+  std::unordered_map<int, unsigned char* >::const_iterator itChar;
   for (itChar = sendMaskDst.begin(); itChar != sendMaskDst.end(); ++itChar)
     delete [] itChar->second;
   for (itChar = recvMaskDst.begin(); itChar != recvMaskDst.end(); ++itChar)
     delete [] itChar->second;
-  boost::unordered_map<int, unsigned long* >::const_iterator itLong;
+  std::unordered_map<int, unsigned long* >::const_iterator itLong;
   for (itLong = sendGlobalIndexSrc.begin(); itLong != sendGlobalIndexSrc.end(); ++itLong)
     delete [] itLong->second;
Index: XIOS/dev/branch_openmp/src/transformation/scalar_algorithm_extract_axis.cpp
===================================================================
--- XIOS/dev/branch_openmp/src/transformation/scalar_algorithm_extract_axis.cpp	(revision 1544)
+++ XIOS/dev/branch_openmp/src/transformation/scalar_algorithm_extract_axis.cpp	(revision 1545)
@@ -14,5 +14,5 @@
 #include "grid_transformation_factory_impl.hpp"
 
-//#include "reduction.hpp"
+
 
 namespace xios {
Index: XIOS/dev/branch_openmp/src/transformation/scalar_algorithm_reduce_axis.cpp
===================================================================
--- XIOS/dev/branch_openmp/src/transformation/scalar_algorithm_reduce_axis.cpp	(revision 1544)
+++ XIOS/dev/branch_openmp/src/transformation/scalar_algorithm_reduce_axis.cpp	(revision 1545)
@@ -13,5 +13,5 @@
 #include "grid.hpp"
 #include "grid_transformation_factory_impl.hpp"
-//#include "reduction.hpp"
+
 
 
Index: XIOS/dev/branch_openmp/src/transformation/scalar_algorithm_reduce_domain.cpp
===================================================================
--- XIOS/dev/branch_openmp/src/transformation/scalar_algorithm_reduce_domain.cpp	(revision 1544)
+++ XIOS/dev/branch_openmp/src/transformation/scalar_algorithm_reduce_domain.cpp	(revision 1545)
@@ -14,5 +14,4 @@
 #include "grid_transformation_factory_impl.hpp"
 
-//#include "reduction.hpp"
 
 namespace xios {
@@ -75,6 +74,4 @@
     CReductionAlgorithm::initReductionOperation();
   }
-
-  //if (CReductionAlgorithm::ReductionOperations.end() == CReductionAlgorithm::ReductionOperations.find(op))
   if (CReductionAlgorithm::ReductionOperations_ptr->end() == CReductionAlgorithm::ReductionOperations_ptr->find(op))
     ERROR("CScalarAlgorithmReduceDomain::CScalarAlgorithmReduceDomain(CDomain* domainDestination, CDomain* domainSource, CReduceDomainToScalar* algo)",
@@ -83,5 +80,4 @@
        << "Scalar destination " << scalarDestination->getId());
 
-  //reduction_ = CReductionAlgorithm::createOperation(CReductionAlgorithm::ReductionOperations[op]);
   reduction_ = CReductionAlgorithm::createOperation(CReductionAlgorithm::ReductionOperations_ptr->at(op));
   local = algo->local ;
Index: XIOS/dev/branch_openmp/src/transformation/scalar_algorithm_reduce_scalar.cpp
===================================================================
--- XIOS/dev/branch_openmp/src/transformation/scalar_algorithm_reduce_scalar.cpp	(revision 1544)
+++ XIOS/dev/branch_openmp/src/transformation/scalar_algorithm_reduce_scalar.cpp	(revision 1545)
@@ -9,5 +9,5 @@
 #include "grid.hpp"
 #include "grid_transformation_factory_impl.hpp"
-//#include "reduction.hpp"
+
 
 
@@ -76,5 +76,4 @@
   }
   
-  //if (CReductionAlgorithm::ReductionOperations.end() == CReductionAlgorithm::ReductionOperations.find(op))
   if (CReductionAlgorithm::ReductionOperations_ptr->end() == CReductionAlgorithm::ReductionOperations_ptr->find(op))
     ERROR("CScalarAlgorithmReduceScalar::CScalarAlgorithmReduceScalar(CScalar* scalarDestination, CScalar* scalarSource, CReduceScalarToScalar* algo)",
@@ -82,6 +81,5 @@
        << "Scalar source " <<scalarSource->getId() << std::endl
        << "Scalar destination " << scalarDestination->getId());
-  
-  //reduction_ = CReductionAlgorithm::createOperation(CReductionAlgorithm::ReductionOperations[op]);
+
   reduction_ = CReductionAlgorithm::createOperation(CReductionAlgorithm::ReductionOperations_ptr->at(op));
 }
Index: XIOS/dev/branch_openmp/src/xios.hpp
===================================================================
--- XIOS/dev/branch_openmp/src/xios.hpp	(revision 1544)
+++ XIOS/dev/branch_openmp/src/xios.hpp	(revision 1545)
@@ -6,10 +6,10 @@
 /// XIOS headers ///
 #include "data_output.hpp"
-//#include "nc4_data_output.hpp"
+
 
 
 using namespace xios;
-//using namespace xios::xml;
-//using namespace xios::func;
+
+
 
 #endif //__XIOS__
Index: XIOS/dev/branch_openmp/src/xios_spl.hpp
===================================================================
--- XIOS/dev/branch_openmp/src/xios_spl.hpp	(revision 1544)
+++ XIOS/dev/branch_openmp/src/xios_spl.hpp	(revision 1545)
@@ -6,4 +6,6 @@
 #include <string>
 #include <algorithm>
+#include <unordered_map>
+#include <memory>
 
 // standard C
@@ -28,6 +30,4 @@
 
 /// boost headers ///
-#include <boost/unordered_map.hpp>
-#include <boost/shared_ptr.hpp>
 #include <boost/cast.hpp>
 /// Map ///
@@ -58,5 +58,5 @@
 #include "log.hpp"
 using namespace std;
-//using namespace boost ;
+using namespace boost ;
 
 
